Gentoo Logo
Gentoo Spaceship

Installation:
Gentoo Handbook
Installation Docs

Documentation:
Home
Listing
About Gentoo
Philosophy
Social Contract

Resources:
Bug Tracker
Developer List
Discussion Forums
Gentoo BitTorrents
Gentoo Linux Enhancement Proposals
IRC Channels
Mailing Lists
Mirrors
Name and Logo Guidelines
Online Package Database
Security Announcements
Staffing Needs
Supporting Vendors
View our CVS

Graphics:
Logos and themes
Icons
ScreenShots

Miscellaneous Resources:
Gentoo Linux Store
Gentoo-hosted projects
IBM dW/Intel article archive




List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Maurice van der Pot (griffon26)" <griffon26@g.o>
Subject: gentoo-x86 commit in dev-util/valgrind: ChangeLog valgrind-3.5.0.ebuild
Date: Sun, 08 Nov 2009 00:28:36 +0000
griffon26    09/11/08 00:28:36

  Modified:             ChangeLog valgrind-3.5.0.ebuild
  Log:
  Fixed valgrind bugs #285513 and #292231 as well as a QA issue.
  (Portage version: 2.1.6.13/cvs/Linux x86_64)

Revision  Changes    Path
1.108                dev-util/valgrind/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/valgrind/ChangeLog?rev=1.108&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/valgrind/ChangeLog?rev=1.108&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/valgrind/ChangeLog?r1=1.107&r2=1.108

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-util/valgrind/ChangeLog,v
retrieving revision 1.107
retrieving revision 1.108
diff -u -r1.107 -r1.108
--- ChangeLog	23 Oct 2009 19:17:39 -0000	1.107
+++ ChangeLog	8 Nov 2009 00:28:35 -0000	1.108
@@ -1,6 +1,13 @@
 # ChangeLog for dev-util/valgrind
 # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/valgrind/ChangeLog,v 1.107 2009/10/23 19:17:39 griffon26 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-util/valgrind/ChangeLog,v 1.108 2009/11/08 00:28:35 griffon26 Exp $
+
+  08 Nov 2009; Maurice van der Pot <griffon26@g.o>
+  valgrind-3.5.0.ebuild, +files/valgrind-3.5.0-glibc-2.11.patch,
+  +files/valgrind-3.5.0-non-exec-stack.patch:
+  Adapted configure.in to not abort when glibc-2.11 is installed (bug #292231).
+  Now using emake during installation instead of just make (bug #285513).
+  Fixed QA warning about executable stacks.
 
   23 Oct 2009; Maurice van der Pot <griffon26@g.o>
   valgrind-3.5.0.ebuild, +files/valgrind-3.5.0-local-labels.patch:



1.3                  dev-util/valgrind/valgrind-3.5.0.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/valgrind/valgrind-3.5.0.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/valgrind/valgrind-3.5.0.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/valgrind/valgrind-3.5.0.ebuild?r1=1.2&r2=1.3

Index: valgrind-3.5.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-util/valgrind/valgrind-3.5.0.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- valgrind-3.5.0.ebuild	23 Oct 2009 19:17:39 -0000	1.2
+++ valgrind-3.5.0.ebuild	8 Nov 2009 00:28:35 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/valgrind/valgrind-3.5.0.ebuild,v 1.2 2009/10/23 19:17:39 griffon26 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-util/valgrind/valgrind-3.5.0.ebuild,v 1.3 2009/11/08 00:28:35 griffon26 Exp $
 
 inherit autotools eutils flag-o-matic toolchain-funcs
 
@@ -42,6 +42,13 @@
 	# Yet more local labels, this time for ppc32 & ppc64
 	epatch "${FILESDIR}/valgrind-3.5.0-local-labels.patch"
 
+	# Don't just reject glibc-2.11
+	epatch "${FILESDIR}/valgrind-3.5.0-glibc-2.11.patch"
+
+	# Don't build in empty assembly files for other platforms or we'll get a QA
+	# warning about executable stacks.
+	epatch "${FILESDIR}/valgrind-3.5.0-non-exec-stack.patch"
+
 	# Regenerate autotools files
 	eautoreconf
 }
@@ -81,7 +88,7 @@
 }
 
 src_install() {
-	make DESTDIR="${D}" install || die "Install failed!"
+	emake DESTDIR="${D}" install || die "Install failed!"
 	dodoc AUTHORS FAQ.txt NEWS README*
 }
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-pda/libsyncml: ChangeLog libsyncml-0.5.2.ebuild libsyncml-0.4.6-r1.ebuild
Next by thread:
gentoo-x86 commit in dev-util/valgrind/files: valgrind-3.5.0-non-exec-stack.patch valgrind-3.5.0-glibc-2.11.patch
Previous by date:
gentoo-x86 commit in profiles: ChangeLog package.mask
Next by date:
gentoo-x86 commit in dev-util/valgrind/files: valgrind-3.5.0-non-exec-stack.patch valgrind-3.5.0-glibc-2.11.patch


Updated Nov 23, 2009

Donate to support our development efforts.

Gentoo Centric Hosting: vr.org

VR Hosted

Tek Alchemy

Tek Alchemy

SevenL.net

SevenL.net

php|architect

php|architect

Copyright 2001-2007 Gentoo Foundation, Inc. Questions, Comments? Email www@gentoo.org.